Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 135792 - dev-util/qsvn-0.4.0.ebuild (New Package)
Summary: dev-util/qsvn-0.4.0.ebuild (New Package)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://ar.oszine.de/projects/qsvn
Whiteboard: [sunrise-overlay]
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2006-06-06 09:52 UTC by Georges Toth
Modified: 2009-08-04 12:49 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
qsvn ebuild (qsvn-0.4.0.ebuild,567 bytes, text/plain)
2006-06-06 09:53 UTC, Georges Toth
Details
qsvn-0.4.0-r1.ebuild (qsvn-0.4.0-r1.ebuild,568 bytes, text/plain)
2006-10-13 08:32 UTC, Leo
Details
New ebuild for qsvn-0.7.0 (qsvn-0.7.0.ebuild,585 bytes, text/plain)
2008-09-11 00:54 UTC, Thomas Beinicke
Details
qsvn-0.7.1.ebuild (qsvn-0.7.1.ebuild,626 bytes, text/plain)
2008-11-02 14:45 UTC, Christian Ruppert (idl0r)
Details
qsvn-0.8.2.ebuild (qsvn-0.8.2.ebuild,637 bytes, text/plain)
2009-04-30 11:41 UTC, Vladimir
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Georges Toth 2006-06-06 09:52:42 UTC
Hi!

Please find attached qsvn-0.4.0.ebuild

qsvn is a nice multiplatform subversion frontend.
It's under active development.

I suggest dev-util/qsvn
This ebuild depends on dev-libs/apr and >=dev-util/subversion
Comment 1 Georges Toth 2006-06-06 09:53:41 UTC
Created attachment 88538 [details]
qsvn ebuild
Comment 2 Tiziano Müller gentoo-dev 2006-06-25 14:55:20 UTC
Well, an ebuild (with small corrections) is now available in the gentoo-sunrise overlay, at http://gentoo-sunrise.org/svn/sunrise/dev-util/qsvn
Comment 3 Leo 2006-10-13 08:32:12 UTC
Created attachment 99543 [details]
qsvn-0.4.0-r1.ebuild

apart the qt_min_version function problem it compiles fine on my x86 machine 

tnx for the ebuild ... you saved me some time :-)
Comment 4 Leo 2006-10-13 08:35:30 UTC
Comment on attachment 99543 [details]
qsvn-0.4.0-r1.ebuild

sorry... I've not seen it was also in the sunrise project :-[
Comment 5 tim 2007-01-28 13:05:26 UTC
a check should be added to the ebuild, if qt has been compiled with the qt3support use flag (at least it doesn't build with qt 4.2 without it)
Comment 6 Andrey A. Ugolnik 2007-11-17 22:05:19 UTC
Version QSvn 0.6.0 ready for download. Update ebuild, please.
http://ar.oszine.de/projects/qsvn/wiki/download
Comment 7 Thomas Beinicke 2008-09-11 00:54:29 UTC
Created attachment 165179 [details]
New ebuild for qsvn-0.7.0

New version of qsvn which supports subversion 1.5
Comment 8 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2008-11-02 14:45:08 UTC
Created attachment 170543 [details]
qsvn-0.7.1.ebuild
Comment 9 Vladimir 2009-04-30 11:41:12 UTC
Created attachment 189951 [details]
qsvn-0.8.2.ebuild
Comment 10 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-30 11:57:57 UTC
(In reply to comment #9)
> Created an attachment (id=189951) [edit]
> qsvn-0.8.2.ebuild
> 

"Today i released QSvn 0.8.2. This is an windows only release. The source code is the same as in QSvn 0.8.1. Only some adjustments are made in order to compile QSvn against the subversion libraries in version 1.6.1. And this is the big change in this version."
Comment 11 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-30 12:32:53 UTC
Well, just bumped it anyway since they've added the missing include for gcc 4.3.
Thanks!
Comment 12 Markos Chandras (RETIRED) gentoo-dev 2009-08-04 12:49:37 UTC
Committed on portage tree on behalf of Qt herd

Thanks for reporting this

Closing

+*qsvn-0.8.3 (04 Aug 2009)
+
+  04 Aug 2009; Markos Chandras <hwoarang@gentoo.org> +qsvn-0.8.3.ebuild,
+  +metadata.xml:
+  Initial commit of qsvn application. Fixes bug 135792. Thanks to Georges
+  Toth
+  <sim0n@trypill.org>, Thomas Beinicke <merlin@liao.homelinux.org>, Vladimir
+  <vovan888@gmail.com> for the initial ebuilds